Bug 882157 - system-config-printer: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
system-config-printer: migration to /etc/hostname, /etc/vconsole.conf, /etc/l...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 881785
  Show dependency treegraph
 
Reported: 2012-11-30 04:57 EST by Kay Sievers
Modified: 2013-05-25 08:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.3.13-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-25 08:09:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kay Sievers 2012-11-30 04:57:30 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found:
  troubleshoot/Locale.py i18n = file ("/etc/sysconfig/i18n").readlines ()

Please update the package for the new config files.

The old files are converted and deleted from the system at update time.
If reading the old files is still supported, please make sure they are
never created again.

Thanks!
Comment 1 Tim Waugh 2012-12-18 09:33:20 EST
Fixed upstream in revision 518e79d.
Comment 2 Fedora Update System 2013-05-24 04:50:46 EDT
system-config-printer-1.3.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-4511/system-config-printer-1.3.13-1.fc18
Comment 3 Fedora Update System 2013-05-25 08:09:17 EDT
system-config-printer-1.3.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.